Skip to main content
POST
Generate invite code

Path Parameters

workspaceId
string<uuid>
required

Workspace identifier.

Body

application/json

Request to generate a shareable invite code for a workspace.

Request to generate a shareable invite code for a workspace.

expiresIn
required

When the invite code expires.

Allowed value: "in24Hours"
invitedRole
required

Role to assign when someone joins via this invite code.

Allowed value: "owner"

Response

Response containing a generated shareable invite code.

Response containing a generated shareable invite code.

expiresAt
string<date-time>
required

When the invite code expires.

inviteCode
string
required

The generated invite code that can be shared.

role
required

Role assigned when someone joins via this code.

Allowed value: "owner"
workspaceHandle
string
required

URL-safe workspace handle. Display-only.

Required string length: 3 - 32
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
workspaceId
string<uuid>
required

Unique identifier of the workspace.